summaryrefslogtreecommitdiffstats
path: root/initscript/gentoo/avahi-dnsconfd
diff options
context:
space:
mode:
Diffstat (limited to 'initscript/gentoo/avahi-dnsconfd')
-rw-r--r--initscript/gentoo/avahi-dnsconfd31
1 files changed, 31 insertions, 0 deletions
diff --git a/initscript/gentoo/avahi-dnsconfd b/initscript/gentoo/avahi-dnsconfd
new file mode 100644
index 0000000..85ad78e
--- /dev/null
+++ b/initscript/gentoo/avahi-dnsconfd
@@ -0,0 +1,31 @@
+#! /bin/sh
+#
+# avahi-dnsconfd avahi dns configuration daemon
+# Daemon for ZeroConf
+#
+# Author: Steev Klimaszewski <steev@steev.net>
+
+DAEMON=/usr/bin/avahi-dnsconfd
+
+depend () {
+ need net
+ after avahi-daemon
+}
+
+start() {
+ ebegin "Starting avahi-dnsconfd"
+ $DAEMON -D
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping avahi-dnsconfd"
+ $DAEMON -k || /bin/true
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading avahi-dnsconfd"
+ $DAEMON -r
+ eend $?
+}